#include<bits/stdc++.h.>
using namespace std;;
int main()
{
    int n;
    cin>>n;
    vector<int> x;
    vector<int> y;
    vector<int> z;
    x.resize(n);
    y.resize(n);
    z.resize(n);
    for(int i=1;i<=n;i++)
    {
        cin>>x[i];
    }
    for(int i=1;i<=n;i++)
    {
        cin>>y[i];
    }
    for(int i=1;i<=n;i++)
    {
        cin>>z[i];
    }
    int br=0;
    for(int i=1;i<=n;i++)
    {
        for(int j=1;j<=n;j++)
        {
            if(x[i]==y[j])
            {
                for(int k=1;k<n;k++)
                {
                    if(z[k]==j)
                    {
                        br++;
                    }
                }
            }
        }
    }
    cout<<br;
}